Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordReader.NullRecordReader

    java.lang.Object
      com.servingxml.components.recordio.RecordReader.NullRecordReader

All Implemented Interfaces:
  RecordReader

Enclosing interface:
  RecordReader

    public static class RecordReader.NullRecordReader

extends java.lang.Object
implements RecordReader

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`RecordReader.NullRecordReader()`

Method Summary
`void` | `discardRecord(ServiceContext context, Flow flow, ServingXmlException e)`
`RecordWriter` | `getDiscardWriter()`
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`RecordWriter` | `getRecordWriter()`
`void` | `readRecords(ServiceContext context, Flow flow)`
`void` | `setDiscardWriter(RecordWriter writer)`
`void` | `setRecordWriter(RecordWriter writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecordReader.NullRecordReader

    public RecordReader.NullRecordReader()

Method Detail

### readRecords

    public final void readRecords(ServiceContext context,
                                  Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### getKey

    public final Key getKey()

  Specified by:
    `getKey` in interface `RecordReader`

### getExpirable

    public final Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `RecordReader`

### getRecordWriter

    public final RecordWriter getRecordWriter()

  Specified by:
    `getRecordWriter` in interface `RecordReader`

### setRecordWriter

    public final void setRecordWriter(RecordWriter writer)

  Specified by:
    `setRecordWriter` in interface `RecordReader`

### getDiscardWriter

    public final RecordWriter getDiscardWriter()

  Specified by:
    `getDiscardWriter` in interface `RecordReader`

### setDiscardWriter

    public final void setDiscardWriter(RecordWriter writer)

  Specified by:
    `setDiscardWriter` in interface `RecordReader`

### discardRecord

    public void discardRecord(ServiceContext context,
                              Flow flow,
                              ServingXmlException e)

  Specified by:
    `discardRecord` in interface `RecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD